Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.net
Class RequestIDAllocator

    java.lang.Object
      |
      +--org.openorb.net.RequestIDAllocator

public class RequestIDAllocator
extends java.lang.Object

Version:
  $Revision: 1.6 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Constructor Summary
`RequestIDAllocator()`

Method Summary
`static int` | `get_request_id()` Get a uneque request ID for a request.
`static int` | `peek_request_id()` Discover what the next ID will be without using it.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestIDAllocator

    public RequestIDAllocator()

Method Detail

### get_request_id

    public static int get_request_id()

  Get a uneque request ID for a request.

### peek_request_id

    public static int peek_request_id()

  Discover what the next ID will be without using it. This always returns an even value.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD